Bug 139893 - upgrade error after boot process selection (upgrade/.../...)
upgrade error after boot process selection (upgrade/.../...)
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2004-11-18 12:34 EST by Dennis Rice
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-14 17:07:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dennis Rice 2004-11-18 12:34:22 EST
Description of problem:
After selecting of unprobed monitor, next screen was for upgrading
boot loader (using GRUB), selected 1st) upgrade and 2nd) reuse.  Got
error reporting screen.  Attempted to save to floppy, but was not able
to save (hand copied report - below).  Was not able to continue, had
to manually reboot.

Version-Release number of selected component (if applicable):
RH9, upgrading to FC2.  System is extremely slow to respond now.

How reproducible:
rebooted and attempted again, same results

Steps to Reproduce:
Actual results:
/us/anaconda/gui.py   line 763 in nextClicked   self.dispatch.gotoNext()

/us/anaconda/dispatch.py   line 169 in gotoNext   self.move()

/us/lib/anaconda/dispatch.py   in moveStep   rc=apply(func,

/us/lib/anaconda/upgrade.py   line 359 in upgradeFindPackages  

/us/lib/anaconda/uitis.py   line 385 in setClock   root=root)
    ---> note the root) statement was copied as such, not a typo on my

/us/lib/anaconda/util.py   line 55 in execWithRedirect  

OSError:[Emo12]Cannot allocate memory

Expected results:
Wanted to upgrade to FC2 to improve memory performance, but system
locked up.

Additional info:
System was slow to respond previously, is worse now.  Will now attempt
Comment 1 Jeremy Katz 2004-11-18 14:24:27 EST
How much RAM is in your system?
Comment 2 Dennis Rice 2004-11-22 15:29:46 EST
The system I have is a generic AMD CPU at 750MHz w/ 512MBytes of RAM.
 Using the same CDs, I upgraded another system previously (a (very)
old DELL with 64/128 (?) MBytes of RAM, and it went great.

From your comments, might you suspect that I have a memory problem? 
If so, do you know of a program to test memory under Linux?

Appreciate your additional queries, shows that you are keeping track
and are interested.  Thank you very much.

Dennis Rice
Comment 3 Jeremy Katz 2004-11-22 16:37:21 EST
If you boot the CD with 'memtest86', you should boot into a memory tester
Comment 4 Jeremy Katz 2005-04-14 17:07:57 EDT
Closing due to inactivity.  Please reopen if you continue to encounter this on
more current releases.

Note You need to log in before you can comment on or make changes to this bug.